Bug 9229 - (int-150182) Upgrade from PR1.1 to PR1.1.1 produces 'Operation failed' error
(int-150182)
: Upgrade from PR1.1 to PR1.1.1 produces 'Operation failed' error
Status: CLOSED FIXED
Product: Settings and Maintenance
Software updater
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: software-update-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-23 08:56 UTC by Venomrush
Modified: 2010-05-25 18:38 UTC (History)
2 users (show)

See Also:


Attachments
syslog (293.00 KB, text/plain)
2010-02-23 09:20 UTC, Venomrush
Details
softupd.log (8.19 KB, text/plain)
2010-02-23 09:21 UTC, Venomrush
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Venomrush (reporter) 2010-02-23 08:56:05 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Flash N900 to PR1.1 (2.2009.51-1) firmware
2. Update to PR1.1.1 (3.2010.02-8) firmware

EXPECTED OUTCOME:
Update went smoothly without throwing any error messages.

ACTUAL OUTCOME:
'Operation failed' error occured, users have a feeling something went wrong.

REPRODUCIBILITY:
Always

EXTRA SOFTWARE INSTALLED:
OpenSSH
Comment 1 Venomrush (reporter) 2010-02-23 09:20:53 UTC
Created an attachment (id=2346) [details]
syslog

I installed syslog, then installed OpenSSH Client+Server then performed the
update via Application Manager

I did not have enough battery on the first attempt to update (06:49AM) 

Turned device off at 06:51AM

Turned on device at 07:05AM

Second attempt to update at 07:10AM 

'Operation failed' error occured when phone goes into Offline mode.

Update done at 07:15AM
Comment 2 Venomrush (reporter) 2010-02-23 09:21:10 UTC
Created an attachment (id=2347) [details]
softupd.log
Comment 3 Andre Klapper maemo.org 2010-02-23 20:04:53 UTC
Confirming. I also saw this when updating to PR1.1.1.
Comment 4 Andre Klapper maemo.org 2010-02-25 18:11:59 UTC
This has been fixed in package
hildon-application-manager 2.2.58
which is part of the internal build version
10.2010.05-6
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Andre Klapper maemo.org 2010-03-15 20:56:08 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 6 Venomrush (reporter) 2010-05-25 18:38:18 UTC
Updated from PR1.1.1 to PR1.2 without any problems or seeing any unexpected
error messages.